{% extends 'store/base.html' %}
{% load static %}
{% block title %}Address{% endblock title %}
{% block main-content %}
<div class="container my-5">
 <div class="row">
 <h3>Welcome <span class="text-capitalize">{{request.user}}</span></h3>
  <div class="col-sm-2 border-end">
   <ul class="list-unstyled">
    <li class="d-grid"><a href="{% url 'address' %}" class="btn {active}}">Saved Address</a></li><hr>
    <li class="d-grid"><a href="{% url 'add_new_address' %}" class="btn {{active}}">Add New Address</a></li>
   </ul>
  </div>
  <div class="col-sm-9 offset-sm-1">
   <div class="row">
   {% for add in address %}
    <div class="col-sm-6">
     <div class="card">
      <div class="card-body add_data">
       <h3>Address {{forloop.counter}}</h3>
       <p>First Name: {{add.firstname}}</p>
       <p>Last Name: {{add.last_name}}</p>
       <p>Email: {{add.email}}</p>
       <p>Mobile Number: {{add.mobile_no}}</p>
       <p>City: {{add.city}}</p>
       <p>State: {{add.state}}</p>
       <p>Pin Code: {{add.Zip}}</p>
       <p>Address: {{add.residential_address}}</p>
       <a href="{% url 'edit_address' add.id%}" class="btn btn-primary btn-sm">Edit</a>
       <input type="hidden" value="{{add.id}}" class="address_id">
       <button style="border: none;" class="btn btn-danger btn-sm  address-delete-btn" type="text">Delete</button>
      </div>
     </div>
    </div>
   {% endfor %}

     </div>
    </div>
   </div>
  </div>
 </div>
</div>
{% endblock main-content %}